<?php
//	|---------------------------------------------------------------------------|
//	|	PHP-Fusion 7 Content Management System									|
//	|	Copyright  2002 - 2005 Nick Jones										|
//	|	http://www.php-fusion.co.uk/											|
//	|---------------------------------------------------------------------------|
//	| 	This program is released as free software under the						|
//	| 	Affero GPL license. You can redistribute it and/or						|
//	| 	modify it under the terms of this license which you						|
//	| 	can read by viewing the included agpl.txt or online						|
//	| 	at www.gnu.org/licenses/agpl.html. Removal of this						|
//	| 	copyright header is strictly prohibited without							|
//	| 	written permission from the original author(s).							|
//	|---------------------------------------------------------------------------|
//	|	xTabbed Panel															|
//	|	Copyright  2008 Rizald 'Elyn' Maxwell									|
//	|	Filename : xTab.php														|
//	|	Read the source easier via Notepad++ 									|
//	|		comment fonts changed - Courrier New, 10pt							|
//	|---------------------------------------------------------------------------|
//	|	For more informations, please refer to README.TXT						|
//	|---------------------------------------------------------------------------|
require_once "../../maincore.php";
require_once "infusion_db.php";
require_once "image.php";
require_once THEMES."templates/admin_header_mce.php";

// admin authentification checks :P
if (!checkrights('XTP') || !defined('iAUTH') || $_GET['aid'] != iAUTH) { redirect('../../index.php'); }
$aidlink = "?aid=".$_GET['aid'];

// if action is not set, redirect to  act='idx'
if (!isset($_GET['act'])){
	redirect("xTab.php".$aidlink."&amp;act=idx");
}

// add tiny_mce support for those who enabled it :P
if ($settings['tinymce_enabled'] == 1) {
	add_to_head("<script language='javascript' type='text/javascript'>advanced();</script>");
} else {
	require_once INCLUDES."html_buttons_include.php";
}
add_to_head("
<style type='text/css'>
span.footnote{
	color: grey; 
	font-size: xx-small;
}
</style>");

$str = "";$exists = false;
if($_GET['act'] == 'idx' || $_GET['act'] == 'edt'){

	if($_GET['act'] == 'edt'){
		$q = (isset($_GET['q']) && isnum($_GET['q'])) ? ($_GET['q']) : redirect("xTab.php".$aidlink."&act=idx");
		$query = "SELECT * FROM ".DB_XTAB." WHERE xtab_id=".$q;
		$result = dbquery($query);
		if($db = dbarray($result)){
			$e['xt_id'] 		= $db['xtab_id'];
			$e['xt_title'] 		= $db['xtab_title'];
			$e['xt_content'] 	= $db['xtab_content'];
			$e['xt_type'] 		= $db['xtab_type'];
			$e['xt_url'] 		= $db['xtab_url'];
			$e['xt_logo'] 		= $db['xtab_logo'];
		}
		
		if($e['xt_type']==1){
			$sl[0] = "checked='checked'";
			$sl[1] = "";
		} else if($e['xt_type']==2) { 
			$sl[0] = "";
			$sl[1] = "checked='checked'";
		}
		
		$sbt_btn = "Edit";
		
		if(isset($_POST['xt_upd'])){
			$a['xt_id'] 		= (!empty($_POST['xt_id']) && isnum($_POST['xt_id']) ? ($_POST['xt_id']) : "0");
			$a['xt_title'] 		= (!empty($_POST['xt_title']) ? stripinput($_POST['xt_title']) : "No title");
			$a['xt_content'] 	= (!empty($_POST['xt_content']) ? stripinput($_POST['xt_content']) : "No Content");
			$a['xt_type'] 		= (!empty($_POST['xt_type']) && isnum($_POST['xt_type']) ? ($_POST['xt_type']) : "1");
			$a['xt_url'] 		= (!empty($_POST['xt_url']) ? cleanurl($_POST['xt_url']) : "");
			$a['xt_logo'] 		= (!empty($_POST['xt_logo']) && isnum($_POST['xt_logo']) ? ($_POST['xt_logo']) : "002");
			
			$query = "UPDATE ".DB_XTAB." SET
					xtab_title		=	'".$a['xt_title']."',
					xtab_content	=	'".$a['xt_content']."',
					xtab_type		=	'".$a['xt_type']."',
					xtab_url		=	'".$a['xt_url']."',
					xtab_logo		=	'".$a['xt_logo']."'
					WHERE xtab_id 	=   ".$a['xt_id'];	
			//echo $query;
			dbquery($query);
			redirect("xTab.php".$aidlink."&amp;act=idx");
		}
	} else{
		$e['xt_id'] 		= "";
		$e['xt_title'] 		= "";
		$e['xt_content'] 	= "";
		$e['xt_type'] 		= "";
		$e['xt_url'] 		= "";
		$e['xt_logo'] 		= "";
		$sl[0]				= "";
		$sl[1]				= "";
		$sbt_btn = "Add";
	
		if(isset($_POST['xt_add'])){
			$a['xt_title'] 		= (!empty($_POST['xt_title']) ? stripinput($_POST['xt_title']) : "No title");
			$a['xt_content'] 	= (!empty($_POST['xt_content']) ? stripinput($_POST['xt_content']) : "No Content");
			$a['xt_type'] 		= (!empty($_POST['xt_type']) && isnum($_POST['xt_type']) ? ($_POST['xt_type']) : "1");
			$a['xt_url'] 		= (!empty($_POST['xt_url']) ? cleanurl($_POST['xt_url']) : "");
			$a['xt_logo'] 		= (!empty($_POST['xt_logo']) && isnum($_POST['xt_logo']) ? ($_POST['xt_logo']) : "002");
			
			$query = "INSERT INTO ".DB_XTAB." (xtab_id,xtab_title,xtab_content,xtab_type,xtab_url,xtab_logo) VALUES ('', '".$a['xt_title']."', '".$a['xt_content']."', '".$a['xt_type']."','".$a['xt_url']."','".$a['xt_logo']."')";
			dbquery($query);
			redirect("xTab.php".$aidlink."&amp;act=idx");
		}
	}
	$str .= "<form name='xt_form' method='post' action=''>
			<table class='tbl-border' width='75%' align='center'>
			<tr>
				<td class='tbl2'><strong>Tab Type</strong></td>
				<td class='tbl1'>
					<input type='radio' name='xt_type' class='textbox' value='1' ".$sl[0]."/>Normal Tab
					<input type='radio' name='xt_type' class='textbox' value='2' ".$sl[1]."/>Redirect Tab
				</td>
			</tr>
			<tr>
				<td class='tbl2'><strong>Tab Title</strong></td>
				<td class='tbl1'><input type='text' name='xt_title' class='textbox' style='width:460px' value='".$e['xt_title']."'/></td>
			</tr>
			<tr>
				<td class='tbl2'><strong>Tab Content</strong></td>
				<td class='tbl1'>
					<textarea cols='70' name='xt_content' rows='6' class='textbox' style='width:460px'>".$e['xt_content']."</textarea>
				</td>
			</tr>";
	if ($settings['tinymce_enabled'] != 1) {
		require_once INCLUDES."html_buttons_include.php";
		$str .= "<tr>
					<td class='tbl2'>&nbsp;</td>
					<td class='tbl1'>".display_html("xt_form", "xt_content", true, true, true, null)."</td>
				</tr>";
	}
	$str .="<tr>
				<td class='tbl2'><strong>Tab Logo</strong></td>
				<td class='tbl1'>";
	for($i=1;$i<(sizeof($ximg)+1);$i++){
		if($i<10)
			$y = "00".$i;
		else if ($i>=10 && $i<100)
			$y = "0".$i;
		else
			$y = $i;
		if($e['xt_logo']==$y)
			$sel = "checked='checked'";
		else
			$sel = "";
		
		$str .= "<input type='radio' name='xt_logo' class='textbox' value='".$y."' ".$sel."/><img src='".$ximg[$y]."'/>";
	}
	$str .= "</td></tr>	
			<tr>
				<td class='tbl2'><strong>Tab Redirect URL</strong></td>
				<td class='tbl1'><input type='text' name='xt_url' class='textbox' style='width:460px' value='".$e['xt_url']."'/>
				<br/><span class='footnote'>Please enter a complete URL address for it to work.</span></td>
			</tr>
			<tr><td class='tbl2'>&nbsp;</td><td class='tbl1'>";
	if($_GET['act']=='edt')
		$str .=	"<input type='submit' class='textbox' value='Edit' name='xt_upd'/>";
	else			
		$str .=	"<input type='submit' class='textbox' value='Add New' name='xt_add'/>";

	$str .= "<input type='hidden' name='xt_id' value='".$e['xt_id']."'/>
			</td></tr>
			</table></form>";


	$query = "SELECT * FROM ".DB_XTAB." ORDER BY xtab_id ASC";

	$current = "<table class='tbl-border' width='75%' align='center'><tr>
					<td class='tbl2' align='center'>#</td>
					<td class='tbl2' align='center'>Logo</td>
					<td class='tbl2'>&nbsp;Title&nbsp;</td>
					<td class='tbl2'>&nbsp;Type&nbsp;</td>
					<td class='tbl2'>&nbsp;Actions&nbsp;</td>
				</tr>";
	$i = 1;
	
	$result = dbquery($query);
	while($db = dbarray($result)){
		$exists = true;
		$type = ($db['xtab_type'] == 1) ? "Normal" : "Redirect";
		$current .= "<tr>
						<td class='tbl1' align='center'>".$i."</td>
						<td class='tbl1' align='center'><img src='".$ximg[$db['xtab_logo']]."'/></td>
						<td class='tbl1'>&nbsp;".$db['xtab_title']."&nbsp;</td>
						<td class='tbl1'>&nbsp;".$type."&nbsp;</td>
						<td class='tbl1'>
							&nbsp;<a href='xTab.php".$aidlink."&amp;act=edt&amp;q=".$db['xtab_id']."'>Edit</a>
							&nbsp;<a href='xTab.php".$aidlink."&amp;act=del&amp;q=".$db['xtab_id']."'>Remove</a>
						</td>
					</tr>"; 
		$i++;
	}
	$current .= "</table>";
} else if($_GET['act'] == 'del'){
	$q = (isset($_GET['q']) && isnum($_GET['q'])) ? ($_GET['q']) : redirect("xTab.php".$aidlink."&act=idx");
	
	if(isset($_POST['xt_cnl'])){
		redirect("xTab.php".$aidlink."&act=idx");
	} else if(isset($_POST['xt_del'])){
		dbquery("DELETE FROM ".DB_XTAB." WHERE xtab_id=".$_GET['q']);
		redirect("xTab.php".$aidlink."&act=idx");
	} 
	
	$query = "SELECT xtab_title FROM ".DB_XTAB." WHERE xtab_id=".$q;
	$result = dbquery($query);
	if($db = dbarray($result)){
		$str = "
			<form action='' method='post'>
			<table class='tbl-border' width='75%' height='100' align='center'><tr><td>
			<div class='admin-message'>
				Are you sure you want to remove <strong>".$db['xtab_title']."</strong> tab?</div></td></tr>
			<tr><td align='center'>
			<input type='submit' class='textbox' value='Remove' name='xt_del'/>
			<input type='submit' class='textbox' value='Cancel' name='xt_cnl'/>
			</td></tr></table>
			</form>
			";
	}
	else
		redirect("xTab.php".$aidlink."&act=idx");
}


opentable("xTabbed panel");
echo $str;
closetable();

if($exists){
	opentable("Current Tabbed panel");
	echo $current;
	closetable();
}
require_once THEMES.'templates/footer.php';			
?>